HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetPayoutsPayout

Contains the different functions to run the operation getPayoutsPayout

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetPayoutsPayout.hs
valuegetPayoutsPayout
  1. :: MonadHTTP m
  2. => GetPayoutsPayoutParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetPayoutsPayoutResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/payouts/{payout}

<p>Retrieves the details of an existing payout. Supply the unique payout ID from either a payout creation request or the payout list, and Stripe will return the corresponding payout information.</p>

Defines the object schema located at paths./v1/payouts/{payout}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getPayoutsPayout.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetPayoutsPayoutResponseError is used.

Constructors

Instances2Eq, Show